Bug 195102 - Flaky API Test: TestWebKitAPI.ProcessSwap.NumberOfCachedProcesses
Summary: Flaky API Test: TestWebKitAPI.ProcessSwap.NumberOfCachedProcesses
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-02-27 10:02 PST by Aakash Jain
Modified: 2019-05-15 08:00 PDT (History)
10 users (show)

See Also:


Attachments
Patch (2.68 KB, patch)
2019-02-27 15:41 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (1.92 KB, patch)
2019-05-14 15:53 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Aakash Jain 2019-02-27 10:02:07 PST
TestWebKitAPI.ProcessSwap.NumberOfCachedProcesses seems flaky. In https://ews-build.webkit-uat.org/#/builders/19/builds/1299, the test Failed in run-api-tests step. However, in the immediately next retry step (re-run-api-tests), it passed.
Comment 1 Aakash Jain 2019-02-27 10:06:46 PST
This test was added recently in https://trac.webkit.org/changeset/241928/webkit
Comment 2 Chris Dumez 2019-02-27 15:31:54 PST
TestWebKitAPI.ProcessSwap.NumberOfCachedProcesses
        Received data during response processing, queuing it.
        Received data during response processing, queuing it.
        Received data during response processing, queuing it.
        Received data during response processing, queuing it.
        
        /Volumes/Data/worker/macOS-High-Sierra-Release-Build-EWS/build/Tools/TestWebKitAPI/Tests/WebKitCocoa/ProcessSwapOnNavigation.mm:3131
        Expected equality of these values:
          maxSuspendedPageCount + 1
            Which is: 3
          [processPool _webProcessCountIgnoringPrewarmedAndCached]
            Which is: 4
        
        
        /Volumes/Data/worker/macOS-High-Sierra-Release-Build-EWS/build/Tools/TestWebKitAPI/Tests/WebKitCocoa/ProcessSwapOnNavigation.mm:3140
        Expected equality of these values:
          1u
            Which is: 1
          [processPool _webProcessCount]
            Which is: 2
Comment 3 Chris Dumez 2019-02-27 15:41:18 PST
Created attachment 363145 [details]
Patch
Comment 4 Geoffrey Garen 2019-02-27 16:19:48 PST
Comment on attachment 363145 [details]
Patch

r=me
Comment 5 WebKit Commit Bot 2019-02-27 16:47:47 PST
Comment on attachment 363145 [details]
Patch

Clearing flags on attachment: 363145

Committed r242180: <https://trac.webkit.org/changeset/242180>
Comment 6 WebKit Commit Bot 2019-02-27 16:47:49 PST
All reviewed patches have been landed.  Closing bug.
Comment 7 Radar WebKit Bug Importer 2019-02-27 16:52:00 PST
<rdar://problem/48456786>
Comment 8 Aakash Jain 2019-03-20 05:18:27 PDT
Still noticed a flakiness in https://ews-build.webkit-uat.org/#/builders/19/builds/2249

This test failed in run-api-tests and re-run-api-tests steps, but passed in run-api-tests-without-patch step.

Seems like a flaky test, unless that patch actually broke this test.
Comment 9 Aakash Jain 2019-03-20 06:11:27 PDT
Another flakiness instance: In https://ews-build.webkit-uat.org/#/builders/19/builds/2256 the test Passed in run-api-tests step. However, in the immediately next retry step (re-run-api-tests), it Failed.
Comment 10 Chris Dumez 2019-03-21 13:12:52 PDT
Latest failure:
TestWebKitAPI.ProcessSwap.NumberOfCachedProcesses
        Received data during response processing, queuing it.
        Received data during response processing, queuing it.
        Received data during response processing, queuing it.
        Received data during response processing, queuing it.
        
        /Volumes/Data/worker/macOS-High-Sierra-Release-Build-EWS/build/Tools/TestWebKitAPI/Tests/WebKitCocoa/ProcessSwapOnNavigation.mm:3426
        Expected equality of these values:
          maxSuspendedPageCount + 1
            Which is: 3
          [processPool _webProcessCountIgnoringPrewarmedAndCached]
            Which is: 4
        
        
        /Volumes/Data/worker/macOS-High-Sierra-Release-Build-EWS/build/Tools/TestWebKitAPI/Tests/WebKitCocoa/ProcessSwapOnNavigation.mm:3441
        Expected equality of these values:
          1u
            Which is: 1
          [processPool _webProcessCount]
            Which is: 2
Comment 11 Chris Dumez 2019-05-14 15:53:30 PDT
Created attachment 369903 [details]
Patch
Comment 12 WebKit Commit Bot 2019-05-15 08:00:15 PDT
Comment on attachment 369903 [details]
Patch

Clearing flags on attachment: 369903

Committed r245323: <https://trac.webkit.org/changeset/245323>
Comment 13 WebKit Commit Bot 2019-05-15 08:00:17 PDT
All reviewed patches have been landed.  Closing bug.